List Deposit Preauthorizations for a Card
GET
/v2.01/:ClientId/cards/:CardId/deposit-preauthorizations
List Deposit Preauthorizations for a Card
Authentication
AuthorizationBearer
Bearer authentication of the form `Bearer <token>`, where token is your auth token.
If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL.
Path parameters
ClientIdstringRequired
Platform's API account identifier, associated with the API key.
CardIdstringRequired
Query parameters
ResultCodestringOptional
The code indicating the result of the operation. You can filter on multiple values by separating them with a comma.
StatusstringOptional
Allowed values: CREATED, SUCCEEDED, FAILED
The status of the transaction. You can filter on multiple values by separating them with a comma.
PaymentStatusstringRequired
**Allowed values:** `WAITING`, `CANCELED`, `CANCEL_REQUESTED`, `EXPIRED`, `VALIDATED`, `FAILED`
The payment status of the deposit preauthorization object:
- `WAITING` – The deposit preauthorization can be used: the preauthorized funds can be captured (if `Status` is `SUCCEEDED`) or the preauthorization can be canceled manually.
- `CANCELED` – Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.
- `CANCEL_REQUESTED` – The cancellation of the deposit preauthorization has been requested but not yet processed.
- `EXPIRED` – The hold period on the preauthorized funds has ended without it being used.
- `VALIDATED` – Indicates that the preauthorized funds were captured.
- `FAILED` – The pay-in against the preauthorization has failed, but a retry may be possible.
Response
Success